Subject: Re: [PATCH 2/2] ci: let pedantic job compile with -Og

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Jun 2024 11:42:41 -0700

Patrick Steinhardt <[email-masked]> writes:

>> Speaking of variants, is there any interest in migrating one or some
>> of the existing x86-64 CI jobs to arm64 CI jobs GitHub introduced
>> recently?  I suspect that we won't find any endianness bugs (I
>> expect they are configured to do little endian just like everybody
>> else) and there may no longer be lurking unaligned read bugs (but
>> "git log --grep=unaligned" finds surprising number of them we have
>> seen and fixed), so the returns may be very small.
>
> Note that we already run arm64 via GitLab's macOS runners. That's not
> Linux of course, but I guess that any architectural issues should still
> be caught by that.

The more the merrier and it is nice to know we have extra variety
over there.

> Not to say that we shouldn't adapt GitHub.

;-)